| Irrlicht 3D Engine |

Classes | Namespaces | Enumerations
IAnimatedMeshMD2.h File Reference
`#include "IAnimatedMesh.h"`

Go to the source code of this file.

## Classes

- class irr::scene::IAnimatedMeshMD2
    Interface for using some special functions of MD2 meshes. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::scene

    All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Enumerations

- enum irr::scene::EMD2_ANIMATION_TYPE {
  irr::scene::EMAT_STAND = 0, irr::scene::EMAT_RUN, irr::scene::EMAT_ATTACK, irr::scene::EMAT_PAIN_A,
  irr::scene::EMAT_PAIN_B, irr::scene::EMAT_PAIN_C, irr::scene::EMAT_JUMP, irr::scene::EMAT_FLIP,
  irr::scene::EMAT_SALUTE, irr::scene::EMAT_FALLBACK, irr::scene::EMAT_WAVE, irr::scene::EMAT_POINT,
  irr::scene::EMAT_CROUCH_STAND, irr::scene::EMAT_CROUCH_WALK, irr::scene::EMAT_CROUCH_ATTACK, irr::scene::EMAT_CROUCH_PAIN,
  irr::scene::EMAT_CROUCH_DEATH, irr::scene::EMAT_DEATH_FALLBACK, irr::scene::EMAT_DEATH_FALLFORWARD, irr::scene::EMAT_DEATH_FALLBACKSLOW,
  irr::scene::EMAT_BOOM, irr::scene::EMAT_COUNT
  }
    Types of standard md2 animations. More...